> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-reference/reconciliation-api/retrieve-information/get-refunds.md).

# Get refunds

## Refunds Endpoint

> Retrieve the details of all your Refunds in a given time.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Refunds Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.onekeypayments.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.onekeypayments.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"PaginatedRefunds":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Refund"}}}}]},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"rows":{"type":"integer"},"maxRows":{"type":"integer"}}},"Refund":{"type":"object","properties":{"amount":{"type":"number"},"beneficiary":{"type":"string"},"cpf":{"type":"string"},"bankName":{"type":"string"},"branchNumber":{"type":"string"},"refundCurrency":{"type":"string"},"bankAccount":{"type":"string"},"accountType":{"type":"string"},"comments":{"type":"string"},"id":{"type":"integer"},"idBoleto":{"type":"integer"},"idMerchant":{"type":"integer"},"date":{"type":"string","format":"date-time"},"lastChangeDate":{"type":"string","format":"date-time"},"country":{"type":"string"},"paymentMethod":{"type":"string"},"status":{"type":"string"},"amountType":{"type":"string"},"merchantName":{"type":"string"},"bankCode":{"type":"string"},"type":{"type":"string"},"apiVersion":{"type":"string"},"documentType":{"type":"string"},"allowPixApiRefund":{"type":"boolean"}}}}},"paths":{"/refund":{"get":{"summary":"Refunds Endpoint","description":"Retrieve the details of all your Refunds in a given time.","operationId":"getRefunds","tags":["Transactions"],"parameters":[{"name":"from","in":"query","description":"Transaction creation date interval in Unix TimeStamp format.","schema":{"type":"integer"}},{"name":"to","in":"query","description":"Transaction creation date interval in Unix TimeStamp format, max difference with 'from' value 60 days.","schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page number.","schema":{"type":"integer","default":0}},{"name":"country","in":"query","description":"Country code.","schema":{"type":"string","maxLength":2}},{"name":"paymentMethod","in":"query","description":"Payment Method code.","schema":{"type":"string","maxLength":2}},{"name":"status","in":"query","description":"Transaction status.","schema":{"type":"string","enum":["PENDING","COMPLETED","CANCELLED","WAITING_DETAILS"]}}],"responses":{"200":{"description":"A paginated list of refunds.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedRefunds"}}}},"412":{"description":"Precondition Failed - Date period must be smaller than 60 days.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"description":{"type":"string"},"type":{"type":"string"}}}}}}}}}}}
```
